Installing Matrix CORE: missing library?



When trying to install Matrix CORE, like the instructions given here:

in a fresh Raspbian Stretch, I get an error message because “libjim0.75” required by “matrix-creator-openocd” can not be installed.

Do you know how to work around this?

Problem is the same on Raspberry Pi 2 and 3.


I think that documentation is out of date. If you’re using stretch, you’re better off following the instructions in

However IR (at least via lirc) is broken in matrixio-* packages so if you need that, you’ll have to add a file with jessie’s repo for /etc/apt/sources.list.d/ and then install matrix-creator-* packages to get around the dependency issue.


Thank you, this worked well. I don’t need IR, but is the microphone array accessible via ALSA like in the old example or has this changed?


@SEckert, It should be accessible in the same way